<!DOCTYPE html>
<html lang="fr">
    <head>
{% include 'templates/favicon.html' %}
{% include 'templates/global.css.html' %}

        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="style.css?version=COMMITHASH" rel="stylesheet" type="text/css">
        <link rel="icon" href="images/favicon.ico" sizes="any" />
        <title>Automultiples</title>
    </head>
    <body>
{% include 'templates/widget_back_menu.html' %}

    
        <div id="conteneur-principal">

            <div id="en-tete">
                <button id="bouton-a-propos" onclick="ouvre(divApropos)">À propos...</button>
                <button id="bouton-clavier" onclick="clavierTactile()">Afficher le clavier</button>
            </div>

            <div id="zone-principale">

                <div id="saisie-nombre">
                    <span id="span-liste">Multiples de</span>
                    <span id="input-nombre-tactile" class="input-nombre hide"></span>
                    <input id="input-nombre-ordi" class="input-nombre hide" type="text">
                    <button id="bouton-valider" class="hide" onclick="calcule()"></button>
                </div>

                <div id="zone-multiples">
                    <div class="ligne-multiple">
                        <span class="calcul">2&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                    <div class="ligne-multiple">
                        <span class="calcul">3&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                    <br>
                    <div class="ligne-multiple">
                        <span class="calcul">4&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                    <div class="ligne-multiple">
                        <span class="calcul">5&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                    <br>
                    <div class="ligne-multiple">
                        <span class="calcul">6&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                    <div class="ligne-multiple">
                        <span class="calcul">7&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                    <br>
                    <div class="ligne-multiple">
                        <span class="calcul">8&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                    <div class="ligne-multiple">
                        <span class="calcul">9&#215;</span><span class="span-multiplicateur">&nbsp&nbsp</span>=<span class="span-resultat">&nbsp&nbsp</span>
                    </div>
                </div> 

            </div>
        



        </div>
        
        <div id="clavier" class="hide">
            <div id="ligne-1" class="ligne-clavier">
                <button id="bouton-7" class="bouton-nombre" onclick="insere(7)">7</button>
                <button id="bouton-8" class="bouton-nombre" onclick="insere(8)">8</button>
                <button id="bouton-9" class="bouton-nombre" onclick="insere(9)">9</button>
            </div>
            <div id="ligne-2" class="ligne-clavier">
                <button id="bouton-4" class="bouton-nombre" onclick="insere(4)">4</button>
                <button id="bouton-5" class="bouton-nombre" onclick="insere(5)">5</button>
                <button id="bouton-6" class="bouton-nombre" onclick="insere(6)">6</button>
            </div>
            <div id="ligne-3" class="ligne-clavier">
                <button id="bouton-1" class="bouton-nombre" onclick="insere(1)">1</button>
                <button id="bouton-2" class="bouton-nombre" onclick="insere(2)">2</button>
                <button id="bouton-3" class="bouton-nombre" onclick="insere(3)">3</button>
            </div>
            <div id="ligne-4" class="ligne-clavier">
                <button id="bouton-0" class="bouton-nombre" onclick="insere(0)">0</button>
                <button id="bouton-gomme" class="bouton-nombre" onclick="insere('r')"></button>
                <button id="bouton-entree" class="bouton-nombre" onclick="insere('e')"></button>
            </div>
            <div id="ligne-1-portrait"></div>
            <div id="ligne-2-portrait"></div>
        </div>

        <div id="a-propos" class="hide">
            <p>Automultiples est une application qui affiche les multiples d'un nombre.</p>
            <p>Elle peut être notamment utile en technique opératoire de la division, lorsque l'objectif de la séance n'est pas justement de chercher ces multiples.</p>
            <p>Cette application est écrite par Arnaud Champollion et partagée sous licence libre GNU/GPL</p>
            <p>Sources et téléchargement de versions hors-ligne / Openboard sur <a target="_blank" href="https://forge.aeif.fr/achampollion/automultiples">la Forge</a>.</p>
            <center><button onclick="ferme(divApropos)">Fermer</button></center>
        </div>

        <div id="darkbox" class="hide"></div>

        <script src="script.js?version=COMMITHASH"></script>
    {% include 'templates/global.js.html' %}
</body>
</html>
